--require("libraries/gui_api.lua")

Sysbar = {
	id,
	clock_enabled,
	usb_enabled,
	power_enabled,
	background = Color.new(192, 192, 192),
	icons = {
		--usb = Image.load("media/usb_icon.png"), -- to be implemented
		battery = Image.load("media/battery_icon.png"),
		ac = Image.load("media/ac_icon.png")
	},
	font_white = Color.new(255, 255, 255)
}

function Sysbar:add(options)
	self.clock_enabled = options.clock
	self.power_enabled = options.power
	self.usb_enabled = options.usb or true
	self.id = Element:add{height = 22, render_function = Sysbar_refresh, refresh_interval = 30, parent = 1}
end

--[[

Dummy functions for Lua Player for windows

kakafunction System.powerIsPowerOnline()
	return false
end

kakafunction System.powerGetBatteryLifePercent()
	return 54
end

--]]

function Sysbar_refresh(id)
	Element.canvas[id]:clear()
	Element.canvas[id]:fillRect(Element.x_pos[id], Element.y_pos[id], Element.width[id], Element.height[id], Sysbar.background)
	_cur_y = Element.width[id]
	if Sysbar.power_enabled then
		_cur_y = _cur_y - 32
		if System.powerIsPowerOnline() then
			Element.canvas[id]:blit(_cur_y, 3, Sysbar.icons.ac)
		else
			Element.canvas[id]:blit(_cur_y, 3, Sysbar.icons.battery)
			Element.canvas[id]:print(_cur_y + 3, 8, System.powerGetBatteryLifePercent(), Sysbar.font_white)
		end
	end
	if Sysbar.clock_enabled then
		_cur_y = _cur_y - 68
		clock = os.date("%H:%M:%S", os.time() )
		Element.canvas[id]:print(_cur_y, 8, clock)
	end
	
end